ChangeSet 1.1371.759.15, 2004/04/23 16:18:50-07:00, baldrick@free.fr

[PATCH] USB usbfs: fix up proc_ioctl

The semaphore is now taken in the caller.

 devio.c |    2 --
 1 files changed, 2 deletions(-)


 drivers/usb/core/devio.c |    2 --
 1 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri May 14 15:33:40 2004
+++ b/drivers/usb/core/devio.c	Fri May 14 15:33:40 2004
@@ -1139,7 +1139,6 @@
 		return -ENODEV;
 	}
 
-	down(&ps->dev->serialize);
 	if (ps->dev->state != USB_STATE_CONFIGURED)
 		retval = -ENODEV;
 	else if (!(ifp = usb_ifnum_to_if (ps->dev, ctrl.ifno)))
@@ -1177,7 +1176,6 @@
 		}
 		up_read(&usb_bus_type.subsys.rwsem);
 	}
-	up(&ps->dev->serialize);
 
 	/* cleanup and return */
 	if (retval >= 0
